<div id="taskModal" class="modal fade" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-body">
                <div class="container-fluid">
                    <div class="row">
                        <div class="col-md-1">
                            <button id="btnDelete" class="btn btn">
                                <i class="bi bi-trash"></i>
                            </button>
                        </div>
                        <div id="prompt-message" class="col-md-10 text-center"></div>
                        <div class="col-md-1 text-right">
                            <button id="btnCloseModal" name="cancel" class="close" data-dismiss="modal">
                                <i class="bi bi-x"></i>
                            </button>
                        </div>
                    </div>
                </div>
                <br>
                <div class="container">
                    <form id="prompt-form">
                        <div class="row">
                            <input name="title" type="text" class="form-control col-md-12" placeholder="Задача">
                        </div>
                        <br>
                        <div class="row">
                            <textarea name="description" type="text" class="form-control col-md-12"
                                      placeholder="Описание" rows="5"></textarea>
                        </div>
                        <br>
                        <div class="row">
                            <div class="col-md-6">
                                <div class="row">
                                    <input name="date" type="datetime-local" class="form-control col-md-11">
                                </div>
                            </div>
                            <div class="col-md-6">
                                <div class="row justify-content-end">
                                    <select name="status" class="form-control col-md-11" size="1">
                                        {{#each status}}
                                            <option value="{{this}}">{{this}}</option>
                                        {{/each}}
                                    </select>
                                </div>
                            </div>
                        </div>
                        <br>
                        <div id="fileListDiv">
                            <div id="fileList" style="display: flex; flex-wrap:wrap"></div>
                            <br/>
                            <input type="button" id="btnAddFile" class="btn btn-default" value="Прикрепить файл"
                                   style="display: inline">
                            <br/><br/>
                        </div>
                        <div class="row justify-content-end">
                            <input type="submit" value="Сохранить" class="btn btn-primary">
                        </div>
                    </form>
                </div>
            </div>
        </div>
    </div>
</div>

<form id="fileForm" action="/file" method="POST" enctype="multipart/form-data" style="display: none">
    <input type="file" id="fileInput" name="fileData">
    <input type="submit" id="fileSubmit">
</form>

<script type="text/babel">
    let fileForm = document.getElementById("fileForm");
    let btnAddFile = document.getElementById("btnAddFile");
    let fileInput = document.getElementById("fileInput");
    let fileSubmit = document.getElementById("fileSubmit");

    btnAddFile.onclick = function () {
        fileInput.click();
    }

    function loadTasks(filter) {
        let request = new XMLHttpRequest();
        if (filter) {
            request.open('GET', `/task/filter/${filter}`);
        } else {
            request.open('GET', '/task');
        }
        request.onload = function () {
            ReactDOM.render(
                    <React.StrictMode>
                        <TaskList tasks={JSON.parse(request.response)}/>
                    </React.StrictMode>,
                    document.querySelector('#taskList')
            );
        }
        request.send();
    }

    loadTasks();
</script>

<script src="/js/taskPrompt.js"></script>
